[SciPy-user] scipy debian packages

Arnd Baecker arnd.baecker at web.de
Wed Oct 20 05:22:46 CDT 2004


Hi,

I just installed the debs from http://deb-scipy.alioth.debian.org/apt/
(from 18 Oct, giving scipy 3.2).

  In [1]: import scipy
  In [2]: scipy.__version__
  Out[2]: '0.3.2'

and  get

  In [3]: from scipy.xplt import *

---------------------------------------------------------------------------
  PPImportError                   Traceback (most recent call last)

(full traceback below...)

Somehow I thought from the archive that this was fixed,
(http://www.scipy.org/mailinglists/mailman?fn=scipy-user/2004-October/003385.html)
but maybe this is a new/different incarnation?
((I also checked that this also happens with the "normal" python.
I am using debian testing.))

Is this also found, e.g., on other systems (windows, fedora, ...)?

Arnd


Full traceback:


In [3]: from scipy.xplt import *
---------------------------------------------------------------------------
PPImportError                             Traceback (most recent call
last)

/home/abaecker/<console>

/usr/lib/python2.3/site-packages/scipy_base/ppimport.py in
__getattr__(self, name)
    301             module = self.__dict__['_ppimport_module']
    302         except KeyError:
--> 303             module = self._ppimport_importer()
    304         return getattr(module, name)
    305

/usr/lib/python2.3/site-packages/scipy_base/ppimport.py in
_ppimport_importer(self)
    260             exc_info = self.__dict__.get('_ppimport_exc_info')
    261             if exc_info is not None:
--> 262                 raise PPImportError,\
    263
''.join(traceback.format_exception(*exc_info))
    264             else:

PPImportError: Traceback (most recent call last):
  File "/usr/lib/python2.3/site-packages/scipy_base/ppimport.py", line
273, in _ppimport_importer
    module = __import__(name,None,None,['*'])
  File "/usr/lib/python2.3/site-packages/scipy/xplt/__init__.py", line 12,
in ?
    from Mplot import *
  File "/usr/lib/python2.3/site-packages/scipy/xplt/Mplot.py", line 1015,
in ?
    import colorbar
  File "/usr/lib/python2.3/site-packages/scipy/xplt/colorbar.py", line 9,
in ?
    from slice3 import *
  File "/usr/lib/python2.3/site-packages/scipy/xplt/slice3.py", line 1581,
in ?
    _poly_permutations4 = _construct3 (0)
  File "/usr/lib/python2.3/site-packages/scipy/xplt/slice3.py", line 1575,
in _construct3
    mask = find_mask (below, _node_edges3 [itype])
TypeError: Array can not be safely cast to required type



More information about the SciPy-user mailing list